/**
 * File information:<br>
 * $Author: nmk148 $<br>
 * First check-in: $Date: 2003/03/23 17:20:38 $<br>
 * $Revision: 1.2 $<br>
 * <br>
 * Simple Problem, just to test the framework.
 * The size of a gene is 1. Fitness Values for both possibilities (true
 * or false) are given in the constructor.
 **/
public class SimpleProblem implements Problem {
	


	private double yes;
	private double no;

	/**
	 * Creates a new SimpleProblem with
	 * given fitness values
	 * @param yes fitness value for true
	 * @param no fitness value for false
	 **/
	public SimpleProblem(double yes, double no) {
		this.yes = yes;
		this.no = no;
	}

	
	/**
	 * Gene size is 1.
	 **/
	public int geneSize() {
		return 1;
	}

	/**
	 * Returns the fitness value according the a gene
	 **/
	public double fitness(boolean gene[]) {
		if (gene[0]) {
			return yes;
		} else {
			return no;
		}
	}

	/**
	 * Returns a string representation for an individual
	 **/
	public String toString(boolean gene[]) {
		return "Individual: "+gene[0];
	}

}

/*
 * History of this file:
 * $Log: SimpleProblem.java,v $
 * Revision 1.2  2003/03/23 17:20:38  nmk148
 * Added toString
 *
 * Revision 1.1  2003/03/17 07:35:04  nmk148
 * First checkin
 *
 */
